Sends a message to an agent.
HTTP request
POST https://ces.googleapis.com/v1/{tenant=projects/*/locations/*/apps/*/versions/*}/message:send
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
tenant |
Optional. Tenant ID, provided as a path parameter. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "message": { object ( |
| Fields | |
|---|---|
message |
Required. The message to send to the agent. |
configuration |
Configuration for the send request. |
metadata |
A flexible key-value map for passing additional context or parameters. |
Response body
If successful, the response body contains an instance of SendMessageResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ces
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the tenant resource:
ces.sessions.runSession
For more information, see the IAM documentation.